%global momorel 1
%global md5sum_src0 d0bbf0748f955af35ff13c449aa34410

Summary: A program for printing sheet music
Name: lilypond
Version: 2.11.28
Release: %{momorel}m%{?dist}
License: GPL
URL: http://www.lilypond.org/
Group: Applications/Publishing
%NoSource 0 http://lilypond.org/download/sources/v2.11/%{name}-%{version}.tar.gz %{md5sum_src0}
# (Abel) use utf8 as input encoding by default for tex backend
Patch0: %{name}-2.8.6-tex-use-utf8.patch
# (Abel) use locale-independency date as document timestamp
Patch1: %{name}-2.6.3-locale-indep-date.patch
# (Abel) use ImageMagick to replace netpbm -- pnmtopng segfault
# and I'm too lazy to look into the problem
Patch2: %{name}-2.6.4-use-imagemagick.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
PreReq: chkfontpath-momonga
PreReq: coreutils
PreReq: findutils
PreReq: info
PreReq: kpathsea
PreReq: xorg-x11-font-utils
Requires: ghostscript
BuildRequires: bison
BuildRequires: flex
BuildRequires: fontforge
BuildRequires: gettext-devel
BuildRequires: ghostscript
BuildRequires: gtk2-devel
BuildRequires: guile-devel >= 1.8.1-2m
BuildRequires: mftrace
BuildRequires: python-devel
BuildRequires: tetex
BuildRequires: texinfo
BuildRequires: info
BuildRequires: zip
BuildRequires: ImageMagick

%description
LilyPond is a music typesetter.  It produces beautiful sheet music using a
high level description file as input.  LilyPond is part of the GNU project.
 
LilyPond is split into two packages.  The package "lilypond" provides the
core package, containing the utilities for converting the music source
(.ly) files into printable output. 

%prep
%setup -q

%patch0 -p1 -b .utf8
%patch1 -p1 -b .date
%patch2 -p1 -b .netpbm

%build
%configure --enable-gui
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall vimdir=%{buildroot}%{_datadir}/vim/vim70 package_infodir=%{buildroot}%{_infodir}

# web doc
# Doesn't work out of the box for this version.
# %%make out=www web-install DESTDIR=%%{buildroot}

chmod +x %{buildroot}%{_libdir}/%{name}/%{version}/python/midi.so

# Symlink lilypond-init.el in emacs' site-start.d directory
pushd %{buildroot}%{_datadir}/emacs/site-lisp
mkdir site-start.d
ln -s ../lilypond-init.el site-start.d
popd

# Create symlinks to lilypond folder under TeX directory, so that TeX can
# use lilypond files natively, courtesy of Michael Brown's great hacks
# Necessary for tex backend to work, since startup profile is gone -- Abel
mkdir -p %{buildroot}%{_datadir}/texmf/dvips \
         %{buildroot}%{_datadir}/texmf/tex \
         %{buildroot}%{_datadir}/texmf/fonts/source \
         %{buildroot}%{_datadir}/texmf/fonts/tfm
pushd %{buildroot}%{_datadir}/texmf
ln -s ../../lilypond/%{version}/ps dvips/lilypond
ln -s ../../lilypond/%{version}/tex tex/lilypond
ln -s ../../../lilypond/%{version}/fonts/source fonts/source/lilypond
ln -s ../../../lilypond/%{version}/fonts/tfm fonts/tfm/lilypond
popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/lilypond.info || :
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/lilypond-internals.info || :
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/music-glossary.info || :

find /var/lib/texmf \( -name 'feta*.pk' -or -name 'feta*.tfm' -or -name 'parmesan*.pk' -or -name 'parmesan*.tfm' \) -print0 | xargs -r -0 rm -f

mktexlsr > /dev/null

mkfontdir %{_datadir}/lilypond/%{version}/fonts/type1
%{_sbindir}/chkfontpath -q -l | grep -q %{_datadir}/lilypond/%{version}/fonts/type1 || %{_sbindir}/chkfontpath -q -a %{_datadir}/lilypond/%{version}/fonts/type1

%preun
if [ "$1" = "0" ]; then
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/lilypond.info || :
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/lilypond-internals.info || :
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/music-glossary.info || :
fi

rm -f %{_datadir}/lilypond/%{version}/fonts/type1/fonts.dir
if %{_sbindir}/chkfontpath -q -l | grep -q %{_datadir}/lilypond/%{version}/fonts/type1; then %{_sbindir}/chkfontpath -q -r %{_datadir}/lilypond/%{version}/fonts/type1; fi

%postun
mktexlsr > /dev/null

%files
%defattr(-,root,root)
%doc AUTHORS.txt COPYING ChangeLog DEDICATION HACKING INSTALL.txt
%doc NEWS.txt README.txt ROADMAP THANKS
%{_bindir}/abc2ly
%{_bindir}/convert-ly
%{_bindir}/etf2ly
%{_bindir}/lilymidi
%{_bindir}/lilypond
%{_bindir}/lilypond-book
%{_bindir}/lilypond-invoke-editor
%{_bindir}/lilysong
%{_bindir}/midi2ly
%{_bindir}/musicxml2ly
%{_libdir}/lilypond
%{_datadir}/emacs/site-lisp/site-start.d/lilypond-init.el
%{_datadir}/emacs/site-lisp/lilypond-*.el
%{_infodir}/*.info*
%{_datadir}/lilypond
%{_datadir}/locale/*/LC_MESSAGES/lilypond.mo
%{_mandir}/man1/*.1*
%{_datadir}/omf/lilypond
%{_datadir}/texmf/dvips/lilypond
%{_datadir}/texmf/fonts/source/lilypond
%{_datadir}/texmf/fonts/tfm/lilypond
%{_datadir}/texmf/tex/lilypond
%{_datadir}/vim/vim70/*/lilypond*

%changelog
* Thu Jul 26 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.28-1m)
- version 2.11.28

* Sun Jul 15 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.27-3m)
- revise %%post and %%preun again

* Sun Jul 15 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.27-2m)
- revise PreReq, %%post and %%preun

* Wed Jul  4 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.27-1m)
- version 2.11.27

* Sun Jun 10 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.26-1m)
- version 2.11.26

* Tue May 22 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.25-1m)
- version 2.11.25

* Sat May 19 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.24-1m)
- version 2.11.24

* Fri May  4 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.23-1m)
- version 2.11.23

* Tue Apr 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.22-1m)
- version 2.11.22

* Sat Mar  3 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.20-1m)
- initial package for rosegarden-1.5.0
- import 3 patches from cooker
 - lilypond-2.8.6-tex-use-utf8.patch
 - lilypond-2.6.3-locale-indep-date.patch
 - lilypond-2.6.4-use-imagemagick.patch
- Summary and %%description are imported from cooker
